Support » Plugin: wpDataTables - Tables & Table Charts » Problems with JS, unable to use the plugin

  • Hey guys,
    i’ve just installed the plugin on relatively new install of WP.
    When I try to open any page I’m getting this error in console:

    noconf.bootstrap.min.js?ver=4.9.4:6 Uncaught TypeError: Cannot read property 'DEFAULTS' of undefined
        at noconf.bootstrap.min.js?ver=4.9.4:6
        at noconf.bootstrap.min.js?ver=4.9.4:6
    (anonymous) @ noconf.bootstrap.min.js?ver=4.9.4:6
    (anonymous) @ noconf.bootstrap.min.js?ver=4.9.4:6
    common.js?ver=4.9.4:34 Uncaught TypeError: $(...).popover is not a function
        at HTMLDocument.<anonymous> (common.js?ver=4.9.4:34)
        at i (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,moxiejs,plupload,jquery-ui-core,jquery-ui-widget&ver=4.9.4:2)
        at Object.fireWith [as resolveWith] (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,moxiejs,plupload,jquery-ui-core,jquery-ui-widget&ver=4.9.4:2)
        at Function.ready (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,moxiejs,plupload,jquery-ui-core,jquery-ui-widget&ver=4.9.4:2)
        at HTMLDocument.K (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,moxiejs,plupload,jquery-ui-core,jquery-ui-widget&ver=4.9.4:2)
    (anonymous) @ common.js?ver=4.9.4:34
    i @ load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,moxiejs,plupload,jquery-ui-core,jquery-ui-widget&ver=4.9.4:2
    fireWith @ load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,moxiejs,plupload,jquery-ui-core,jquery-ui-widget&ver=4.9.4:2
    ready @ load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,moxiejs,plupload,jquery-ui-core,jquery-ui-widget&ver=4.9.4:2
    K @ load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,moxiejs,plupload,jquery-ui-core,jquery-ui-widget&ver=4.9.4:2
    common.js?ver=4.9.4:241 Uncaught TypeError: jQuery(...).animateFadeOut is not a function
        at common.js?ver=4.9.4:241
        at dispatch (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,moxiejs,plupload,jquery-ui-core,jquery-ui-widget&ver=4.9.4:3)
        at r.handle (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,moxiejs,plupload,jquery-ui-core,jquery-ui-widget&ver=4.9.4:3)
    

    Ad blocker is disabled just in case.

  • The topic ‘Problems with JS, unable to use the plugin’ is closed to new replies.